### Method

# GLib AsyncQueue timeout_pop_unlocked

#### Declaration [src]

    gpointer
    g_async_queue_timeout_pop_unlocked (
      GAsyncQueue* queue,
      guint64 timeout
    )

#### Description [src]

Pops data from the `queue`. If the queue is empty, blocks for `timeout` microseconds, or until data becomes available.

If no data is received before the timeout, `NULL` is returned.

This function must be called while holding the `queue`‘s lock.

#### Parameters

`timeout`

  Type: `guint64`

  The number of microseconds to wait.

#### Return value

Type: `gpointer`

Data from the queue or `NULL`, when no data is received before the timeout.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.